cpw.mods.fml.relauncher

## Class FMLCorePlugin

- java.lang.Object
- - cpw.mods.fml.relauncher.FMLCorePlugin

- All Implemented Interfaces:
    IFMLLoadingPlugin

      public class FMLCorePlugin
      extends java.lang.Object
      implements IFMLLoadingPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.relauncher.IFMLLoadingPlugin

      `IFMLLoadingPlugin.DependsOn, IFMLLoadingPlugin.MCVersion, IFMLLoadingPlugin.Name, IFMLLoadingPlugin.SortingIndex, IFMLLoadingPlugin.TransformerExclusions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLCorePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessTransformerClass()` Return an optional access transformer class for this coremod.
    `java.lang.String[]` | `getASMTransformerClass()` Return a list of classes that implements the IClassTransformer interface
    `java.lang.String` | `getModContainerClass()` Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on.
    `java.lang.String` | `getSetupClass()` Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require.
    `void` | `injectData(java.util.Map<java.lang.String,java.lang.Object> data)` Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLCorePlugin

          public FMLCorePlugin()

  - ### Method Detail

    - #### getASMTransformerClass

          public java.lang.String[] getASMTransformerClass()

      Description copied from interface: `IFMLLoadingPlugin`
      Return a list of classes that implements the IClassTransformer interface
      Specified by:
        `getASMTransformerClass` in interface `IFMLLoadingPlugin`
      Returns:
        a list of classes that implements the IClassTransformer interface

    - #### getAccessTransformerClass

          public java.lang.String getAccessTransformerClass()

      Description copied from interface: `IFMLLoadingPlugin`
      Return an optional access transformer class for this coremod. It will be injected post-deobf so ensure your ATs conform to the new srgnames scheme.
      Specified by:
        `getAccessTransformerClass` in interface `IFMLLoadingPlugin`
      Returns:
        the name of an access transformer class or null if none is provided

    - #### getModContainerClass

          public java.lang.String getModContainerClass()

      Description copied from interface: `IFMLLoadingPlugin`
      Return a class name that implements "ModContainer" for injection into the mod list The "getName" function should return a name that other mods can, if need be, depend on. Trivially, this modcontainer will be loaded before all regular mod containers, which means it will be forced to be "immutable" - not susceptible to normal sorting behaviour. All other mod behaviours are available however- this container can receive and handle normal loading events
      Specified by:
        `getModContainerClass` in interface `IFMLLoadingPlugin`

    - #### getSetupClass

          public java.lang.String getSetupClass()

      Description copied from interface: `IFMLLoadingPlugin`
      Return the class name of an implementor of "IFMLCallHook", that will be run, in the main thread, to perform any additional setup this coremod may require. It will be run prior to Minecraft starting, so it CANNOT operate on minecraft itself. The game will deliberately crash if this code is detected to trigger a minecraft class loading (TODO: implement crash ;) )
      Specified by:
        `getSetupClass` in interface `IFMLLoadingPlugin`

    - #### injectData

          public void injectData(java.util.Map<java.lang.String,java.lang.Object> data)

      Description copied from interface: `IFMLLoadingPlugin`
      Inject coremod data into this coremod This data includes: "mcLocation" : the location of the minecraft directory, "coremodList" : the list of coremods "coremodLocation" : the file this coremod loaded from,
      Specified by:
        `injectData` in interface `IFMLLoadingPlugin`